#include <klocale.h>
#include <kdialog.h>
/****************************************************************************
** Form implementation generated from reading ui file '../src/kdissert/shell/MiscProperties_base.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "default/src/kdissert/shell/MiscProperties_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qsplitter.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <kurlrequester.h>
#include <ktextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "klineedit.h"
#include "kpushbutton.h"
#include "kurlrequester.h"
#include "ktextedit.h"

/*
 *  Constructs a MiscProperties_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MiscProperties_base::MiscProperties_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "MiscProperties_base" );
    MiscProperties_baseLayout = new QGridLayout( this, 1, 1, 3, 6, "MiscProperties_baseLayout"); 

    splitter5 = new QSplitter( this, "splitter5" );
    splitter5->setOrientation( QSplitter::Horizontal );

    splitter4 = new QSplitter( splitter5, "splitter4" );
    splitter4->setOrientation( QSplitter::Horizontal );

    picpreview = new QLabel( splitter4, "picpreview" );
    picpreview->setMinimumSize( QSize( 125, 51 ) );
    picpreview->setFrameShape( QLabel::GroupBoxPanel );
    picpreview->setFrameShadow( QLabel::Plain );
    picpreview->setScaledContents( TRUE );

    groupBox1 = new QGroupBox( splitter4, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    picsummary = new KLineEdit( groupBox1, "picsummary" );
    picsummary->setEnabled( FALSE );

    groupBox1Layout->addWidget( picsummary, 1, 0 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    delpic = new KPushButton( groupBox1, "delpic" );
    layout1->addWidget( delpic );

    picselector = new KURLRequester( groupBox1, "picselector" );
    picselector->setEnabled( FALSE );
    layout1->addWidget( picselector );

    groupBox1Layout->addLayout( layout1, 0, 0 );

    groupBox4 = new QGroupBox( splitter5, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QGridLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );

    commentedit = new KTextEdit( groupBox4, "commentedit" );
    commentedit->setReadOnly( TRUE );
    commentedit->setTabChangesFocus( TRUE );

    groupBox4Layout->addWidget( commentedit, 0, 0 );

    MiscProperties_baseLayout->addWidget( splitter5, 0, 0 );
    languageChange();
    resize( QSize(765, 127).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( picselector, picsummary );
    setTabOrder( picsummary, commentedit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MiscProperties_base::~MiscProperties_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MiscProperties_base::languageChange()
{
    QToolTip::add( picpreview, tr2i18n( "Picture preview" ) );
    groupBox1->setTitle( tr2i18n( "Picture && Caption" ) );
    QToolTip::add( picsummary, tr2i18n( "Picture caption" ) );
    delpic->setText( QString::null );
    picselector->setProperty( "url", QString::null );
    QToolTip::add( picselector, tr2i18n( "Picture location - insert a valid url or leave empty" ) );
    groupBox4->setTitle( tr2i18n( "Comments" ) );
}

#include "MiscProperties_base.moc"
